<?php
class flow_account_listClassModel extends flowModel
{
	
	

 public function flowrsreplace($rs)
    {

         if($rs['uid']){
                $uid=explode(',',$rs['uid']);
                $admin = m('admin')->getall('status = 1 ','id,name');
                foreach ($admin as $key => $vo) {
                    if(in_array($vo['id'],$uid)){
                         $name[]=$vo['name'];
                    }
                }
                 $rs['uid']= implode(",",$name);
            }
		    if($rs['type']){
                $data=$this->db->getone('oa_option',"num='".$rs['type']."' and pid=1366");
                $rs['type']=$data['name'];
            }
             if($rs['level']){
                $data=$this->db->getone('oa_option',"num='".$rs['level']."' and pid=1370");
                $rs['level']=$data['name'];
            }
            
                $data=$this->db->getone('oa_option',"num='".$rs['status']."' and pid=1374");
                $rs['status']=$data['name'];
            

             if($rs['currency_type']){
                $data=$this->db->getone('oa_option',"num='".$rs['currency_type']."'");
                $rs['currency_type']=$data['name'];
            }

		            return $rs;
	}

               
	 
}
